<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-right col-12 col-qpad divtop">
      <app-button *ngIf="!banperm" [banctrl]="[false ,false, false, false, false, true]" [opcion]=2 [modulo]="modulo" ></app-button>
    </div>
     <div *ngIf="pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2 d-block d-lg-none d-md-nonek">

      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataGlobal, $event);"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>

    </div>
    <div *ngIf="!banperm  && pageService.dataSource.length > 0" class="container-fluid float-left div-table col-12" style="text-align: right;">
      <mat-form-field style="width: 350px;">
        <input matInput (keyup)="applyFilter()" placeholder="Búsqueda por apellidos" [(ngModel)]="search">
        <span matPrefix><i class="fa fa-search text-info"></i> &nbsp;</span>
      </mat-form-field>
    </div>
    <div *ngIf="!banperm" class="container-fluid float-left div-table col-12">
      <div class="d-block d-lg-block d-md-block">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <!-- <th class="col-l col-25" scope="col">N°</th> -->
            <th class="col-c col-25" scope="col" style="width: 10%;"></th>
            <th class="col-l col-100" scope="col">APELLIDO(s)</th>

          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageService.dataSource; let i = index" data-index="i">
            <!-- <th class="col-l col-50">{{ i+1 }}</th> -->
            <th scope="row" class="col-25 col-c">
              <a *ngIf="regist.activo" class="btn btn-sm btn-danger" matTooltip="Eliminar registro" (click)="eliminarfamilia(regist.id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
              <a *ngIf="!regist.activo" class="btn btn-sm btn-success" matTooltip="Habilitar registro" (click)="eliminarfamilia(regist.id, 1)" style="margin-right: 10px;"><i class="fa fa-check"></i></a>
              <a class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editarfamilia(regist.id)"><i class="fa fa-edit"></i></a>&nbsp;
            </th>

            <td class="col-l col-100">
              {{ regist.apellidopaterno }} {{ regist.apellidomaterno ? regist.apellidomaterno : '' }}
            </td>

          </tr>
          <tr *ngIf="pageService.dataSource.length == 0" class="col-l cel-ie">
            <th colspan="2">No hay registros de familias</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td colspan="2" class="col-r"><b>{{ dataGlobal.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>
      </div>
      <!-- <div class="d-block d-lg-none d-md-none">
        <table class="table table-fixed font-comp table-style">
          <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageService.dataSource">
            <div class="card bg-c-dark order-card">
              <div class="card-block">
                <h2><i class="fa fa-users f-left text-info"></i>&nbsp; {{ regist.apellidopaterno }} {{ regist.apellidomaterno }}
                  <span class="f-right">
                    <a *ngIf="regist.activo == 1" class="btn btn-xs btn-danger" matTooltip="Eliminar registro"
                      (click)="eliminarfamilia(regist.id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
                    <a *ngIf="regist.activo == 0" class="btn btn-xs btn-success" matTooltip="Habilitar registro"
                      (click)="eliminarfamilia(regist.id, 1)" style="margin-right: 10px;"><i class="fa fa-check"
                        style="font-size:0.8em"></i></a>
                    <a class="btn btn-xs btn-dark" matTooltip="Editar registro" (click)="editarfamilia(regist.id)"><i
                        class="fa fa-edit"></i></a>&nbsp;

                  </span>
                </h2>
              </div>
            </div>
          </div>
          <div *ngIf="pageService.dataSource.length == 0" class="col-c cel-ie" style="padding: 10px 0px;">
            No hay registros de personas
          </div>
        </table>
      </div> -->
    </div>
    <div *ngIf="pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2">

      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataGlobal, $event);"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>

    </div>

  </div>
  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>




